This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Virtual Server

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Virtual Server service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

VersionStatusSupported Until
1.0DEPRECATED20251231
1.1CURRENT-

OpenAPI URL

https://virtualserver.{region}.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - Accept a volume transfer

1.1.1 - 1.1

post /v1/volume-transfer/{transfer_id}/accept

Description

Accept a volume transfer.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
Transfer ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone
bodybody
required

VolumeTransferAccessRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferAcceptResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "auth_key": "f5972fdb456897eb"
}

Example HTTP response

Response 202

{
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.1.2 - 1.0

post /v1/volume-transfer/{transfer_id}/accept

Description

Accept a volume transfer.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
Transfer ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone
bodybody
required

VolumeTransferAccessRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferAcceptResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "auth_key": "f5972fdb456897eb"
}

Example HTTP response

Response 202

{
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.2 - Attach Virtual Server Security Group

1.2.1 - 1.0

post /v1/servers/{server_id}/security-groups

Description

Attach Virtual Server Security Group.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerSecurityGroupActionRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/security-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "security_group_id": "c09c3f05-03d9-443f-b27a-40e0f973c75f"
}

Example HTTP response

Response 202

1.3 - Attach Volume to Virtual Server

1.3.1 - 1.1

post /v1/volumes/{volume_id}/servers

Description

Attach Volume to Virtual Server.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeServerAttachRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeServerAttachResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "delete_on_termination": false,
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}

Example HTTP response

Response 202

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.3.2 - 1.0

post /v1/volumes/{volume_id}/servers

Description

Attach Volume to Virtual Server.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeServerAttachRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeServerAttachResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "delete_on_termination": false,
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
}

Example HTTP response

Response 202

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.4 - Create a snapshot

1.4.1 - 1.1

post /v1/snapshots

Description

Create a snapshot.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotDetailResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "description": "description",
    "force": true,
    "metadata": "",
    "name": "snapshot-1",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "created_at": "2025-07-22T09:00:00Z",
    "description": "description",
    "id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "metadata": "",
    "name": "snapshot-1",
    "size": 104,
    "status": "available",
    "updated_at": "2025-07-26T12:00:00Z",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.4.2 - 1.0

post /v1/snapshots

Description

Create a snapshot.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

SnapshotCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedSnapshotDetailResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "description": "description",
    "force": true,
    "metadata": "",
    "name": "snapshot-1",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "created_at": "2025-07-22T09:00:00Z",
    "description": "description",
    "id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "metadata": "",
    "name": "snapshot-1",
    "size": 104,
    "status": "available",
    "updated_at": "2025-07-26T12:00:00Z",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.5 - Create a volume transfer

1.5.1 - 1.1

post /v1/volume-transfer

Description

Create a volume transfer.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeTransferRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferCreateResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "auth_key": "f5972fdb456897eb",
    "created_at": "",
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.5.2 - 1.0

post /v1/volume-transfer

Description

Create a volume transfer.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeTransferRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeTransferCreateResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

Example HTTP response

Response 202

{
    "auth_key": "f5972fdb456897eb",
    "created_at": "",
    "id": "1ac231be-823b-4a4d-8ff0-aac503a7118a",
    "name": "volume01",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.6 - Create Auto-Scaling Group

1.6.1 - 1.1

post /v1/auto-scaling-groups

Description

Create Auto-Scaling Group.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AutoScalingGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "name": "auto-scaling-group-name",
    "notifications": [],
    "scaling_policies": [],
    "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_name_prefix": "server-name-prefix",
    "subnet_ids": [
        ""
    ],
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "launch_configuration_name": "launch-configuration-name",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "auto-scaling-group-name",
    "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_name_prefix": "server-name-prefix",
    "state": "IN_SERVICE",
    "subnet_ids": [],
    "total_server_count": 1,
    "vpc_id": "cc976b621087484ea5fd527f4b78708b"
}

1.6.2 - 1.0

post /v1/auto-scaling-groups

Description

Create Auto-Scaling Group.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

AutoScalingGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/auto-scaling-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "name": "auto-scaling-group-name",
    "notifications": [],
    "scaling_policies": [],
    "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_name_prefix": "server-name-prefix",
    "subnet_ids": [
        ""
    ],
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "desired_server_count": 1,
    "desired_server_count_editable": true,
    "drain_enabled": true,
    "drain_timeout": 300,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "launch_configuration_id": "b5aea5a675fc4f6b9e0fcd1288354c5f",
    "launch_configuration_name": "launch-configuration-name",
    "lb_server_groups": [],
    "max_server_count": 2,
    "min_server_count": 1,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "auto-scaling-group-name",
    "security_group_ids": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_name_prefix": "server-name-prefix",
    "state": "IN_SERVICE",
    "subnet_ids": [],
    "total_server_count": 1,
    "vpc_id": "cc976b621087484ea5fd527f4b78708b"
}

1.7 - Create Auto-Scaling Group Notification

1.7.1 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Create Auto-Scaling Group notification.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

1.7.2 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Description

Create Auto-Scaling Group notification.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupNotificationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupNotificationListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "notification_events": [
        "SCALE_OUT",
        "SCALE_OUT_FAIL"
    ],
    "user_ids": [
        "570907805e5447be84b618450ef52o0t"
    ]
}

Example HTTP response

Response 201

{
    "count": 20,
    "notifications": [
        {
            "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
            "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "notification_events": [
                "SCALE_OUT",
                "SCALE_OUT_FAIL"
            ],
            "notification_state": "ACTIVE",
            "user_id": "570907805e5447be84b618450ef52o0t",
            "user_name": "scpuser"
        }
    ]
}

1.8 - Create Auto-Scaling Group Policy

1.8.1 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Create Auto-Scaling Group policy.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 1,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 1,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

1.8.2 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Description

Create Auto-Scaling Group policy.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "evaluation_minutes": 1,
    "metric_method": "AVG",
    "metric_type": "CPU",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "threshold": 60
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_id": "52613bd852b04b39adcb15a8364d856d",
    "comparison_operator": "ge",
    "cooldown_seconds": 300,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "evaluation_minutes": 1,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "metric_method": "AVG",
    "metric_type": "CPU",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "policy-name",
    "scale_method": "AMOUNT",
    "scale_type": "SCALE_OUT",
    "scale_value": 10,
    "state": "ACTIVE",
    "threshold": 60,
    "threshold_unit": "%"
}

1.9 - Create Auto-Scaling Group Schedule

1.9.1 - 1.1

post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Description

Create Auto-Scaling Group schedule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

1.9.2 - 1.0

post /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Description

Create Auto-Scaling Group schedule.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
bodybody
required

AutoScalingGroupScheduleCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAutoScalingGroupScheduleShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "day_of_month": "-1,1",
    "day_of_week": "SU,SA",
    "description": "description",
    "desired_server_count": 1,
    "end_date": "2025-01-01",
    "frequency": "WEEKLY",
    "hour": 9,
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "max_server_count": 2,
    "min_server_count": 1,
    "minute": 0,
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "schedulename",
    "start_date": "2024-01-01",
    "state": "ACTIVE",
    "timezone": "Asia/Seoul"
}

1.10 - Create Image

1.10.1 - 1.1

post /v1/images

Description

Create Image.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ImageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "container_format": "bare",
    "disk_format": "qcow2",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "protected": false,
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "visibility": "private"
}

Example HTTP response

Response 200

{
    "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
    "container_format": "bare",
    "created_at": "2025-07-22T09:00:00Z",
    "disk_format": "qcow2",
    "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
    "id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "os_hash_algo": "sha512",
    "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
    "os_hidden": false,
    "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
    "owner_account_name": "AccountName",
    "owner_user_name": "user@samsung.com",
    "protected": false,
    "root_device_name": "/dev/vda",
    "scp_image_type": "custom",
    "scp_k8s_version": "v1.28.7",
    "scp_original_image_type": "standard",
    "scp_os_build_version": "20250101",
    "scp_os_version": "8.8",
    "size": 2429747200,
    "status": "active",
    "updated_at": "2025-07-26T12:00:00Z",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "virtual_size": 17179869184,
    "visibility": "private",
    "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}

1.10.2 - 1.0

post /v1/images

Description

Create Image.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ImageCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "container_format": "bare",
    "disk_format": "qcow2",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "protected": false,
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "visibility": "private"
}

Example HTTP response

Response 200

{
    "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
    "container_format": "bare",
    "created_at": "2025-07-22T09:00:00Z",
    "disk_format": "qcow2",
    "file": "/v2/images/e08a37c1-2162-416e-b7fa-19902419170b/file",
    "id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "min_disk": 100,
    "min_ram": 0,
    "name": "imagename",
    "os_distro": "alma",
    "os_hash_algo": "sha512",
    "os_hash_value": "c6a32fc3b7c909b8900b46f5e6066c028a1d799c0a263cf064a600c430a714627c21f98ac248e2f2bf29870a1a2773c7908244745016878e1a5f31dc2c405b99",
    "os_hidden": false,
    "owner": "a8f10467abfc4b87b64614ab36eb9ae4",
    "owner_account_name": "AccountName",
    "owner_user_name": "user@samsung.com",
    "protected": false,
    "root_device_name": "/dev/vda",
    "scp_image_type": "custom",
    "scp_k8s_version": "v1.28.7",
    "scp_original_image_type": "standard",
    "scp_os_build_version": "20250101",
    "scp_os_version": "8.8",
    "size": 2429747200,
    "status": "active",
    "updated_at": "2025-07-26T12:00:00Z",
    "url": "https://object-store.kr-west1.s.samsungsdscloud.com/8989447062e04a818baf9e073fd04fa7/bucket/object.qcow2",
    "virtual_size": 17179869184,
    "visibility": "private",
    "volumes": "[{\"tag\": null, \"volume_id\": null, \"encryption_options\": null, \"encryption_secret_uuid\": null, \"encryption_format\": null, \"device_name\": \"/dev/vda\", \"disk_bus\": \"virtio\", \"volume_type\": null, \"encrypted\": null, \"image_id\": null, \"device_type\": \"disk\", \"source_type\": \"snapshot\", \"delete_on_termination\": false, \"volume_size\": 104, \"guest_format\": null, \"boot_index\": 0, \"destination_type\": \"volume\", \"snapshot_id\": \"abde9e38-2ed5-4ecd-b23c-b0120e30690e\", \"no_device\": null}]"
}

1.11 - Create Image member

1.11.1 - 1.1

post /v1/images/{image_id}/members

Description

Create Image member.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
bodybody
required

ImageMemberCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageMemberShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}

Example HTTP response

Response 200

{
    "created_at": "2025-07-22T09:00:00Z",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "status": "pending",
    "updated_at": "2025-07-26T12:00:00Z"
}

1.11.2 - 1.0

post /v1/images/{image_id}/members

Description

Create Image member.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
bodybody
required

ImageMemberCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKImageMemberShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/members

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4"
}

Example HTTP response

Response 200

{
    "created_at": "2025-07-22T09:00:00Z",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "member_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "status": "pending",
    "updated_at": "2025-07-26T12:00:00Z"
}

1.12 - Create Keypair

1.12.1 - 1.1

post /v1/keypairs

Description

Create keypair.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeypairCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeypairCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/keypairs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "keypairname",
    "public_key": "publickey",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
    "name": "keypairname",
    "private_key": "privatekey",
    "public_key": "publickey",
    "type": "ssh"
}

1.12.2 - 1.0

post /v1/keypairs

Description

Create keypair.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

KeypairCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedKeypairCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/keypairs

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "keypairname",
    "public_key": "publickey",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
    "name": "keypairname",
    "private_key": "privatekey",
    "public_key": "publickey",
    "type": "ssh"
}

1.13 - Create Launch Configuration

1.13.1 - 1.1

post /v1/launch-configurations

Description

Create Launch Configuration.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LaunchConfigurationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "name": "launch-configuration-name",
    "server_type_id": "s1v1m2",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "publickey",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

1.13.2 - 1.0

post /v1/launch-configurations

Description

Create Launch Configuration.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

LaunchConfigurationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedLaunchConfigurationDetailShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "name": "launch-configuration-name",
    "server_type_id": "s1v1m2",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "auto_scaling_group_count": 1,
    "created_at": "2024-05-17T00:23:17Z",
    "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "image_name": "imagename",
    "keypair_name": "keypairname",
    "modified_at": "2024-05-17T00:23:17Z",
    "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
    "name": "launch-configuration-name",
    "public_key": "publickey",
    "server_type_id": "s1v1m2",
    "state": "ACTIVE",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": [
        {
            "boot_index": 0,
            "size": 104,
            "type": "SSD"
        }
    ]
}

1.14 - Create Server Group

1.14.1 - 1.1

post /v1/server-groups

Description

Create server group.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServerGroup
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "server-group",
    "policy": "anti-affinity",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "members": "['2a9be312-5d4b-4bc8-b2ae-35100fa9241f']",
    "name": "server-group",
    "partition_size": 3,
    "policy": "anti-affinity",
    "user_id": "570907805e5447be84b618450ef52o0t"
}

1.14.2 - 1.0

post /v1/server-groups

Description

Create server group.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerGroupCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServerGroup
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
409ConflictNone

Example HTTP request

Request path

/v1/server-groups

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "server-group",
    "policy": "anti-affinity",
    "tags": "[{'key': 'key', 'value': 'value'}]"
}

Example HTTP response

Response 201

{
    "account_id": "a8f10467abfc4b87b64614ab36eb9ae4",
    "id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "members": "['2a9be312-5d4b-4bc8-b2ae-35100fa9241f']",
    "name": "server-group",
    "partition_size": 3,
    "policy": "anti-affinity",
    "user_id": "570907805e5447be84b618450ef52o0t"
}

1.15 - Create Server Interface

1.15.1 - 1.1

post /v1/servers/{server_id}/interfaces

Description

Create Server Interface.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

1.15.2 - 1.0

post /v1/servers/{server_id}/interfaces

Description

Create Server Interface.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerInterfaceCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKInterfaceResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
    "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
}

Example HTTP response

Response 200

{
    "fixed_ips": [
        {
            "ip_address": "192.169.3.2"
        }
    ],
    "mac_addr": "fa:16:3e:c0:71:2b",
    "port_id": "f2b02fc5-a5fd-4b5f-b1a9-987f4c0d66cc",
    "port_state": "ACTIVE",
    "private_static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496",
        "state": "ACTIVE"
    },
    "static_nat": {
        "external_ip_address": "182.197.61.81",
        "id": "224b80106e6f41b38efe98ac9ddbf280",
        "publicip_id": "615fa9cd5cff486c9de679b3ce63e601",
        "state": "ACTIVE"
    },
    "subnet_id": "183c6c30df0c4fcbb16422aa2d64aa21"
}

1.16 - Create Server Interface Nat

1.16.1 - 1.1

post /v1/servers/{server_id}/interfaces/{port_id}/static-nats

Description

Create Server Interface Nat.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}

Example HTTP response

Response 201

1.16.2 - 1.0

post /v1/servers/{server_id}/interfaces/{port_id}/static-nats

Description

Create Server Interface Nat.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "publicip_id": "615fa9cd5cff486c9de679b3ce63e601"
}

Example HTTP response

Response 201

1.17 - Create Server Interface Private Nat

1.17.1 - 1.1

post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Description

Create Server Interface Private Nat.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerPrivateStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
    "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}

Example HTTP response

Response 201

1.17.2 - 1.0

post /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Description

Create Server Interface Private Nat.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
bodybody
required

ServerPrivateStaticNatCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "private_nat_id": "3a6c1dc6b1b24e02a444d672c2798a1c",
    "private_nat_ip_id": "1f0cb5390c40483592ddc5a282f53496"
}

Example HTTP response

Response 201

1.18 - Create Server Volume

1.18.1 - 1.1

post /v1/servers/{server_id}/volumes

Description

Create Server Volume.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerVolumesCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKServersVolumeResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "volume_id": ""
}

Example HTTP response

Response 200

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.18.2 - 1.0

post /v1/servers/{server_id}/volumes

Description

Create Server Volume.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerVolumesCreateRequest

Responses

HTTP CodeDescriptionSchema
200OKServersVolumeResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "volume_id": ""
}

Example HTTP response

Response 200

{
    "delete_on_termination": false,
    "device": "/dev/vda",
    "id": "3ad1cc18-1b09-4f51-9b1d-4ce4243f6a4c",
    "server_id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f",
    "volume_id": "3f500f00-ed80-4566-a057-e31760226f9a"
}

1.19 - Create Sharing Image

1.19.1 - 1.1

post /v1/images/{image_id}/share

Description

Create Sharing Image.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/share

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.19.2 - 1.0

post /v1/images/{image_id}/share

Description

Create Sharing Image.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}/share

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.20 - Create Virtual Server

1.20.1 - 1.1

post /v1/servers

Description

Create Virtual Server.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "lock": false,
    "max_count": 2,
    "metadata": "",
    "name": "servername",
    "networks": [
        {
            "fixed_ip": "192.169.3.2",
            "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
            "public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
            "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
        }
    ],
    "partition_number": 1,
    "product_category": "compute",
    "product_offering": "virtual_server",
    "security_groups": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "server_type_id": "s1v1m2",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": []
}

Example HTTP response

Response 202

{
    "servers": [
        {
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ]
}

1.20.2 - 1.0

post /v1/servers

Description

Create Virtual Server.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServerCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
    "keypair_name": "keypairname",
    "lock": false,
    "max_count": 2,
    "metadata": "",
    "name": "servername",
    "networks": [
        {
            "fixed_ip": "192.169.3.2",
            "port_id": "91424c08-0b26-49fb-9808-ed042292ceef",
            "public_ip_id": "615fa9cd5cff486c9de679b3ce63e601",
            "subnet_id": "78b2ee3f074145c580ab6abac4821f97"
        }
    ],
    "partition_number": 1,
    "product_category": "compute",
    "product_offering": "virtual_server",
    "security_groups": "['c09c3f05-03d9-443f-b27a-40e0f973c75f']",
    "server_group_id": "616fb98f-46ca-475e-917e-2563e5a8cd19",
    "server_type_id": "s1v1m2",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "user_data": "IyEvYmluL2Jhc2gKL2Jpbi9zdQplY2hvICJJIGFtIGluIHlvdSEiCg==",
    "volumes": []
}

Example HTTP response

Response 202

{
    "servers": [
        {
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ]
}

1.21 - Create Virtual Server Custom Image

1.21.1 - 1.1

post /v1/servers/{server_id}/images

Description

Create Virtual Server Custom Image.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerCreateImageRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateImageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "image_name": "imagename"
}

Example HTTP response

Response 202

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}

1.21.2 - 1.0

post /v1/servers/{server_id}/images

Description

Create Virtual Server Custom Image.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
bodybody
required

ServerCreateImageRequestBody

Responses

HTTP CodeDescriptionSchema
202AcceptedServerCreateImageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/images

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "image_name": "imagename"
}

Example HTTP response

Response 202

{
    "image_id": "70a599e0-31e7-49b7-b260-868f441e862b"
}

1.22 - Create Virtual Server Dump

1.22.1 - 1.1

post /v1/servers/{server_id}/dump

Description

Create Virtual Server Dump.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/dump

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.22.2 - 1.0

post /v1/servers/{server_id}/dump

Description

Create Virtual Server Dump.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/dump

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.23 - Create Volume

1.23.1 - 1.1

post /v1/volumes

Description

Create a Volume.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "name": "volume01",
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2026-02-11T06:44:43.173Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2026-02-11T06:44:43.173Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}

1.23.2 - 1.0

post /v1/volumes

Description

Create a Volume.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

VolumeCreateRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volumes

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Request body

{
    "name": "volume01",
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "tags": "[{'key': 'key', 'value': 'value'}]",
    "volume_type": "SSD"
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2026-02-11T06:44:40.300Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2026-02-11T06:44:40.301Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
        "scp_k8s_version": "v1.28.7",
        "scp_original_image_type": "standard",
        "signature_verified": false,
        "size": 2429747200
    },
    "volume_type": "SSD",
    "volume_type_id": "c643ac35-3aec-43e6-b97a-3d6f666c5207"
}

1.24 - Delete a snapshot

1.24.1 - 1.1

delete /v1/snapshots/{snapshot_id}

Description

Delete a snapshot.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : cceed636-1f1e-4bb0-b85c-4e5b9e0bf790
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.24.2 - 1.0

delete /v1/snapshots/{snapshot_id}

Description

Delete a snapshot.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathsnapshot_id
required
Snapshot ID
Example : cceed636-1f1e-4bb0-b85c-4e5b9e0bf790
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/snapshots/{snapshot_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.25 - Delete a volume transfer

1.25.1 - 1.1

delete /v1/volume-transfer/{transfer_id}

Description

Delete a volume transfer.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
Transfer ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.25.2 - 1.0

delete /v1/volume-transfer/{transfer_id}

Description

Delete a volume transfer.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathtransfer_id
required
Transfer ID
Example : 1ac231be-823b-4a4d-8ff0-aac503a7118a
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone

Example HTTP request

Request path

/v1/volume-transfer/{transfer_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.26 - Delete Auto-Scaling Group

1.26.1 - 1.1

delete /v1/auto-scaling-groups/{auto_scaling_group_id}

Description

Delete Auto-Scaling Group.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.26.2 - 1.0

delete /v1/auto-scaling-groups/{auto_scaling_group_id}

Description

Delete Auto-Scaling Group.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.27 - Delete Auto-Scaling Group Notification

1.27.1 - 1.1

delete /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}

Description

Delete Auto-Scaling Group notification.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathnotification_id
required
Notification ID
Example : fa7fd191410744cd810a290c0b4d22b9
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.27.2 - 1.0

delete /v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}

Description

Delete Auto-Scaling Group notification.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathnotification_id
required
Notification ID
Example : fa7fd191410744cd810a290c0b4d22b9
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/notifications/{notification_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.28 - Delete Auto-Scaling Group Policy

1.28.1 - 1.1

delete /v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}

Description

Delete Auto-Scaling Group policy.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathpolicy_id
required
Policy ID
Example : 0761d76085f54363bab07909baf69841
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.28.2 - 1.0

delete /v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}

Description

Delete Auto-Scaling Group policy.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathpolicy_id
required
Policy ID
Example : 0761d76085f54363bab07909baf69841
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/policies/{policy_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.29 - Delete Auto-Scaling Group Schedule

1.29.1 - 1.1

delete /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Description

Delete Auto-Scaling Group schedule.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathschedule_id
required
Schedule ID
Example : 43d4841abd404220af5f0904037aba71
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.29.2 - 1.0

delete /v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Description

Delete Auto-Scaling Group schedule.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathauto_scaling_group_id
required
Auto-Scaling Group ID
Example : 52613bd852b04b39adcb15a8364d856d
stringNone
pathschedule_id
required
Schedule ID
Example : 43d4841abd404220af5f0904037aba71
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/auto-scaling-groups/{auto_scaling_group_id}/schedules/{schedule_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.30 - Delete Image

1.30.1 - 1.1

delete /v1/images/{image_id}

Description

Delete Image.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.30.2 - 1.0

delete /v1/images/{image_id}

Description

Delete Image.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/images/{image_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.31 - Delete Image member

1.31.1 - 1.1

delete /v1/images/{image_id}/members/{member_id}

Description

Delete Image member.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
pathmember_id
required
Member ID
Example : a8f10467abfc4b87b64614ab36eb9ae4
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/images/{image_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.31.2 - 1.0

delete /v1/images/{image_id}/members/{member_id}

Description

Delete Image member.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathimage_id
required
Image ID
Example : 70a599e0-31e7-49b7-b260-868f441e862b
stringNone
pathmember_id
required
Member ID
Example : a8f10467abfc4b87b64614ab36eb9ae4
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/images/{image_id}/members/{member_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.32 - Delete Keypair

1.32.1 - 1.1

delete /v1/keypairs/{keypair_name}

Description

Delete keypair.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathkeypair_name
required
Keypair name
Example : keypairname
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/keypairs/{keypair_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.32.2 - 1.0

delete /v1/keypairs/{keypair_name}

Description

Delete keypair.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathkeypair_name
required
Keypair name
Example : keypairname
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/keypairs/{keypair_name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.33 - Delete Launch Configuration

1.33.1 - 1.1

delete /v1/launch-configurations/{launch_configuration_id}

Description

Delete Launch Configuration.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathlaunch_configuration_id
required
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations/{launch_configuration_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 204

1.33.2 - 1.0

delete /v1/launch-configurations/{launch_configuration_id}

Description

Delete Launch Configuration.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathlaunch_configuration_id
required
Launch Configuration ID
Example : b5aea5a675fc4f6b9e0fcd1288354c5f
stringNone

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/launch-configurations/{launch_configuration_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 204

1.34 - Delete Server Group

1.34.1 - 1.1

delete /v1/server-groups/{server_group_id}

Description

Delete server group

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_group_id
required
Server Group ID
Example : 616fb98f-46ca-475e-917e-2563e5a8cd19
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/server-groups/{server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

1.34.2 - 1.0

delete /v1/server-groups/{server_group_id}

Description

Delete server group

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_group_id
required
Server Group ID
Example : 616fb98f-46ca-475e-917e-2563e5a8cd19
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/server-groups/{server_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

1.35 - Delete Server Interface

1.35.1 - 1.1

delete /v1/servers/{server_id}/interfaces/{port_id}

Description

Delete Server Interface.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 200

1.35.2 - 1.0

delete /v1/servers/{server_id}/interfaces/{port_id}

Description

Delete Server Interface.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone

Responses

HTTP CodeDescriptionSchema
200OKNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 200

1.36 - Delete Server Interface Nat

1.36.1 - 1.1

delete /v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}

Description

Delete Server Interface Nat.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
pathnat_id
required
NAT ID
Example : 224b80106e6f41b38efe98ac9ddbf280
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.36.2 - 1.0

delete /v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}

Description

Delete Server Interface Nat.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
pathnat_id
required
NAT ID
Example : 224b80106e6f41b38efe98ac9ddbf280
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/static-nats/{nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.37 - Delete Server Interface Private Nat

1.37.1 - 1.1

delete /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}

Description

Delete Server Interface Private Nat.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
pathnat_id
required
NAT ID
Example : 224b80106e6f41b38efe98ac9ddbf280
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.37.2 - 1.0

delete /v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}

Description

Delete Server Interface Private Nat.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathport_id
required
Port ID
Example : 91424c08-0b26-49fb-9808-ed042292ceef
stringNone
pathnat_id
required
NAT ID
Example : 224b80106e6f41b38efe98ac9ddbf280
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/interfaces/{port_id}/private-static-nats/{nat_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.38 - Delete Server Volume

1.38.1 - 1.1

delete /v1/servers/{server_id}/volumes/{volume_id}

Description

Delete Server Volume.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.38.2 - 1.0

delete /v1/servers/{server_id}/volumes/{volume_id}

Description

Delete Server Volume.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/servers/{server_id}/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.39 - Delete Virtual Server

1.39.1 - 1.1

delete /v1/servers/{server_id}

Description

Delete Virtual Server.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.39.2 - 1.0

delete /v1/servers/{server_id}

Description

Delete Virtual Server.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.40 - Delete Volume

1.40.1 - 1.1

delete /v1/volumes/{volume_id}

Description

Delete a Volume.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
querycascade
optional
Whether to delete snapshots together
Example : True
any of [boolean, null]True

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.40.2 - 1.0

delete /v1/volumes/{volume_id}

Description

Delete a Volume.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
querycascade
optional
Whether to delete snapshots together
Example : True
any of [boolean, null]True

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.41 - Detach Virtual Server Security Group

1.41.1 - 1.0

delete /v1/servers/{server_id}/security-groups/{security_group_id}

Description

Detach Virtual Server Security Group

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone
pathsecurity_group_id
required
Security Group ID
Example : c09c3f05-03d9-443f-b27a-40e0f973c75f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/servers/{server_id}/security-groups/{security_group_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.42 - Detach Volume from Virtual Server

1.42.1 - 1.1

delete /v1/volumes/{volume_id}/servers/{server_id}

Description

Detach Volume from Virtual Server.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers/{server_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Example HTTP response

Response 202

1.42.2 - 1.0

delete /v1/volumes/{volume_id}/servers/{server_id}

Description

Detach Volume from Virtual Server.

State ACTIVE (DEPRECATED)

VersionSupported Until
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
pathserver_id
required
Server ID
Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f
stringNone

Responses

HTTP CodeDescriptionSchema
202AcceptedNone
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/servers/{server_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"

Example HTTP response

Response 202

1.43 - Extend Volume

1.43.1 - 1.1

put /v1/volumes/{volume_id}/size

Description

Extend a Volume.

State ACTIVE (CURRENT)

VersionSupported Until
1.1-

Parameters

TypeNameDescriptionSchemaDefault
pathvolume_id
required
Volume ID
Example : 3f500f00-ed80-4566-a057-e31760226f9a
stringNone
bodybody
required

VolumeExtendRequest

Responses

HTTP CodeDescriptionSchema
202AcceptedVolumeShowResponse
400Bad RequestNone
401UnauthorizedNone
409ConflictNone

Example HTTP request

Request path

/v1/volumes/{volume_id}/size

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"

Request body

{
    "size": 104
}

Example HTTP response

Response 202

{
    "bootable": false,
    "created_at": "2026-02-11T06:44:43.331Z",
    "encrypted": true,
    "id": "3f500f00-ed80-4566-a057-e31760226f9a",
    "modified_at": "2025-07-26T12:00:00Z",
    "multiattach": false,
    "name": "volume01",
    "servers": [
        {
            "attached_at": "2026-02-11T06:44:43.331Z",
            "device": "/dev/vda",
            "id": "2a9be312-5d4b-4bc8-b2ae-35100fa9241f"
        }
    ],
    "size": 104,
    "snapshot_id": "cceed636-1f1e-4bb0-b85c-4e5b9e0bf790",
    "state": "available",
    "user_id": "570907805e5447be84b618450ef52o0t",
    "volume_image_metadata": {
        "checksum": "7538e0fcb56e0e272cfd89eb384d6613",
        "container_format": "bare",
        "disk_format": "qcow2",
        "image_id": "70a599e0-31e7-49b7-b260-868f441e862b",
        "image_name": "imagename",
        "min_disk": 100,
        "min_ram": 0,
        "os_distro": "alma",
        "scp_image_type": "custom",
[...]
